@charset "utf-8";

.main {
  background-color: #EFEFC5;
  padding-bottom: 100px;
}

.title {
  height: 400px;
  background-image: url(../images/contact/bg-main.jpg);
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
  display: flex;
  justify-content: left;
  align-items: center;
  padding-left: 100px;
  color: #f7f7f7;
  text-shadow: 1px 1px 10px #4b2c14;
}

.title h1 {
  font-family: "Mochiy Pop One", sans-serif;
  font-size: 48px;
  font-weight: bold;
}

.explanation {
  margin: 80px auto;
  font-size: 20px;
  text-align: center;
  line-height: 2;
}

.contact {
  width: 930px;
  max-width: 90%;
  margin-left: auto;
  margin-right: auto;
}

.form-title {
  text-align: center;
}

h2 {
  font-size: 20px;
  font-weight: bold;
  text-align: center;
  position: relative;
  /* 疑似要素の基準にする */
  padding-bottom: 8px;
  /* 線と文字の間の余白 */
  display: inline-block;
  /* タイトルの幅に下線を合わせる場合 */
}

h2::after {
  content: '';
  /* 疑似要素には必須 */
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  /* 下線の幅 */
  height: 2px;
  /* 下線の太さ */
  border-bottom: 2px dashed #352311;
  /* 点線の種類、太さ、色 */
}

.form-area {
  background-color: #f7f7f7;
  border: 1px solid #352311;
  margin-top: 40px;
  padding-top: 40px;
  padding-bottom: 80px;
  padding-left: 80px;
  padding-right: 80px;
}

.form-area dt {
  line-height: 2;
  margin-top: 20px;
}

.form-area dt .required::after {
  content: '必須';
  font-size: 11px;
  color: #e55c4e;
  margin-left: 10px;
}

.form-area dl {
  padding: 20px;
}

.input-text {
  width: 300px;
  height: 40px;
  padding-left: 10px;
  padding-right: 10px;
}

.radio-button {
  display: block;
  margin-top: 20px;
}

.radio-button:first-child {
  margin-top: 8px;
}

.radio-button input {
  margin-right: 8px;
}

.detailes {
  width: 600px;
  height: 300px;
  padding: 10px;
  line-height: 1.5;
}

.confirm-text {
  margin: 80px auto;
  text-align: center;
}

.submit-button,
.reset {
  background-color: #E1E84E;
  display: inline-block;
  min-width: 180px;
  line-height: 48px;
  border-radius: 24px;
  font-size: 16px;
  transition: 0.3s;
  text-align: center;
  margin-top: 20px;
  border: none;
  /* じわっと変わるは本体のほうにいれる */
}

.reset {
  background-color: #aaaa;
  margin-left: 25px;
}

.submit-button:hover {
  background-color: #e8cc4e;

}

.reset:hover {
  background-color: #555252;
  color: #f7f7f7;
}

.form-button {
  display: flex;
  justify-content: center;
  margin-top: 80px;
}

.input-text:focus {
  outline: none;
  background-color: #EFEFC5;
}

.detailes:focus {
  outline: none;
  background-color: #EFEFC5;
}

.underline {
  text-decoration: underline;
}

label,
input,
textarea,
select,
button {
  cursor: pointer;
}

@media (max-width: 800px) {
  .main {
    padding-bottom: 56px;
  }

  .title {
    background-image: url(../images/contact/bg-sp.jpg);
    padding-left: 20px;
  }

  .title h1 {
    font-size: 20px;
  }


  .explanation {
    margin: 20px;
    text-align: left;
  }

  .contact {
    width: 500px;
  }

  .form-area {
    padding-top: 0px;
    padding-bottom: 40px;
    padding-left: 0px;
    padding-right: 0px;
  }

  .input-text,
  .detailes {
    width: 100%;
  }

  .confirm-text {
    margin: 20px;
    text-align: left;
  }

  .form-button {
    display: block;
    padding-left: 40px;
    padding-right: 40px;
    margin: 40px;
  }

  .submit-button,
  .reset {
    width: 100%;
  }

  .reset {
    margin-left: 0;
  }
}